## arj 3.10.22

=== debian/changelog ===
arj (3.10.22-24) unstable; urgency=medium

  * Remove dpkg-dev from Build-Depends, satisfied in stable.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to debhelper compatibility level 13.
  * Add missing Forwarded information to patches lacking it.
  * Do not pass ChangeLog to dh_installchangelogs now handled automatically.
  * Fix configure.in to make it possible to run autoreconf on it.
  * Move files to clean from debian/rules to debian/clean.
  * Remove automatically created directories from debian/arj.dirs.
  * Switch to dh sequencer.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 17:43:18 +0100

arj (3.10.22-23) unstable; urgency=medium

  * Fix cross-building by fixing a typo in a Makefile pattern rule.
    Thanks to Helmut Grohne <helmut@subdivi.de>. Closes: #934470

 -- Guillem Jover <guillem@debian.org>  Tue, 13 Aug 2019 16:13:43 +0200

arj (3.10.22-22) unstable; urgency=medium

  * Set TZ to UTC0 for both date and arj calls when dealing with the help.arj
    embedded into arj itself, so that we finally get reproducible output.
  * Change several variables from unsigned long to time_t, to pass
    appropriate pointers when calling localtime() or gmtime(), which fixes
    various segfaults on x32.

 -- Guillem Jover <guillem@debian.org>  Sun, 11 Aug 2019 05:34:58 +0200

arj (3.10.22-21) unstable; urgency=medium

  * Instead of fixing up unreproducible metadata in the help.arj embedded
    into the arj program, just stop recording its file attributes altogether.
  * Update debian/rules:
    - Rename conf_gnu_type to confflags.
    - Fold DEBUG and STRIP variables into a single buildvars, so that we do
      not stomp over make variables with incompatible semantics.
  * Fix cross-building support:
    - Set CROSS_BUILDING variable during configure.
    - Set CC_FOR_BUILD variable during configure.
    - Check for a strip build tool during configure, and use that instead of
      hardcoding "strip" in the makefile.
    - Use CC_FOR_BUILD for all tools executed at build time.
    - When cross-building build an additional arj program for the build
      architecture, so that we can execute it to compress the help.arj that
      we embed into the host arj.
    - Include dpkg's buildtools.mk and pass CC and CC_FOR_BUILD to the build
      system.
    - Remove now obsolete comment about upstream build system not supporting
      cross-building.
  * Update debian/watch:
    - Use tabs as field delimiters.
    - Remove outdated heading field titles.
    - Match on .xz in addition to .gz, even if it's unlikely upstream will
      release such a thing.
  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Switch to debhelper compatibility level 12.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Jul 2019 10:07:18 +0200

arj (3.10.22-20) unstable; urgency=medium

  * Change -hdo debug switch to also set the files atime and ctime.
  * Extend autopkgtest, and remove superficial restriction.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Mar 2019 00:16:58 +0100

arj (3.10.22-19) unstable; urgency=medium

  * Use the -hdo debug switch for the help.arj embedded into the arj program
    to set the archive timestamp based on the SOURCE_DATE_EPOCH. This makes
    the binary package reproducible.
  * Add a superficial autopkgtest for the arj command.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Mar 2019 05:01:01 +0100

arj (3.10.22-18) unstable; urgency=medium

  * Fix typo in package description.
  * Namespace debhelper files with package name.
  * Add spaces around make variable assignments in debian/rules.
  * Add comment on Build-Depends for the versioned dpkg-dev requirement.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Feb 2019 17:09:19 +0100

arj (3.10.22-17) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1 (no changes needed).
  * Switch sf.net URLs from http to https.
  * Switch from broken getconf cross interface to future=+lfs build flags.
  * Merge debian/rules binary-common target into binary-arch.
  * Switch to debian/watch format version 4.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 05:00:15 +0100

arj (3.10.22-16) unstable; urgency=medium

  * Line-wrap dependency fields.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * Switch to debhelper compatibility level 10.
  * Use the dh_update_autotools_config command instead of updating the
    config.* files manually, and bump the debhelper Build-Depends version
    to the one that can handle ancient config.* files.
  * Move location of GPL-2 in Debian systems into a Comment field in
    debian/copyright.
  * Fix cross building by setting the CC detected in configure in the
    generated makefile. Thanks to Helmut Grohne <helmut@subdivi.de>.
    Closes: #875567
  * Remove the build date from resulting generated binary. This makes
    the package build more deterministic, and fixes cross building by
    not running a build tool compiled for the host.
    Thanks to Helmut Grohne <helmut@subdivi.de>. Closes: #875568

 -- Guillem Jover <guillem@debian.org>  Fri, 15 Sep 2017 09:32:49 +0200

arj (3.10.22-15) unstable; urgency=medium

  * Use https for hadrons.org URLs.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Always pass -fPIC and -shared as last options when building the shared
    object plugin.
  * Enable all hardening flags.

 -- Guillem Jover <guillem@debian.org>  Sat, 04 Jun 2016 00:54:25 +0200

arj (3.10.22-14) unstable; urgency=low

  * Use https for the debian/copyright Format and Source URLs.
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Strip .comment and .note sections from executables.

