=== debian/control ===
Source: arj
Section: utils
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Uploaders: Ola Lundqvist <opal@debian.org>
Homepage: https://sf.net/projects/arj/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/arj.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/arj.git
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),

Package: arj
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: archiver for .arj files
 This package is an open source version of the arj archiver. This version
 has been created with the intent to preserve maximum compatibility and
 retain the feature set of original ARJ archiver as provided by
 ARJ Software, Inc.
