=== debian/tests/control ===
Tests: test-command
