=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
version=4
https://sf.net/arj/	arj-(.*)\.tar\.[xg]z	debian	uupdate
